train:
  name: cifar-10-train
  model:
    type: torch
    net:
      type: custom
      file: cifar_net.py
      name: Net
    path: torch_model.pth
    criterion:
      type: CrossEntropyLoss
    optimizer:
      type: SGD
      lr: 0.001
      momentum: 0.9
  epochs: 2
  state:
    path: train_state.json # path to file or directory containing state
    logging_level: batch
  # Configuration of the data provider and the requested classes

  data:
    # Specify preprocessing and and dataProvider parameters
    provider:
      type: TorchImageDataProvider
      batch_size: 4
      shuffle: True
      transforms:
        ToTensor:
        Normalize:
          mean: !!python/tuple [0.5, 0.5, 0.5]
          std: !!python/tuple [0.5, 0.5, 0.5]
    # Classnames (+ description?) of the requested classes
    classes:
      - airplane
      - automobile
      - bird
      - cat
      - deer
      - dog
      - frog
      - horse
      - ship
      - truck
    # TODO get data based on serialized fhir query
    fhir:
conductor:
  type: torch
  strategy:
    type: online

  


